aboutsummaryrefslogtreecommitdiffstats
path: root/src/main/bin
diff options
context:
space:
mode:
authorabatos <adrian.batos-parac@amdocs.com>2017-08-22 14:23:21 -0400
committerabatos <adrian.batos-parac@amdocs.com>2017-08-22 15:33:04 -0400
commitddc73b563fcd2b3e47b5d0f54139f20ed3cdcba1 (patch)
tree91bf9c18725f0a982468ad71f963ffe26f8c2d58 /src/main/bin
parent7e69be504213aa92893fd3354a767128b3a583f1 (diff)
Split out Titan specific dependencies from core
Remove the Titan specific references within the gizmo core and prepare for dependency on new champ core library. Change-Id: I29a4e7b6528e8357715b095d8db5456cd01eb636 Issue-ID: AAI-21 Signed-off-by: abatos <adrian.batos-parac@amdocs.com>
Diffstat (limited to 'src/main/bin')
-rw-r--r--src/main/bin/start.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/src/main/bin/start.sh b/src/main/bin/start.sh
index 8a68460..003852f 100644
--- a/src/main/bin/start.sh
+++ b/src/main/bin/start.sh
@@ -39,6 +39,24 @@ fi
CLASSPATH="$AJSC_HOME/lib/*"
CLASSPATH="$CLASSPATH:$AJSC_HOME/extJars/"
CLASSPATH="$CLASSPATH:$AJSC_HOME/etc/"
+
+# Check to see if the provided implementation exists in the image and add it to the classpath
+for file in $( find ${BASEDIR}graph-deps/* -maxdepth 0 -type d ); do
+ CURRIMPL=$(echo $file | cut -d"/" -f6)
+ if [ "x$GRAPHIMPL" = "x$CURRIMPL" ]; then
+ CLASSPATH_GRAPHIMPL=$file
+ echo "Setting up graph implementation of $GRAPHIMPL"
+ else
+ SUPPORTED_GRAPHIMPL="$SUPPORTED_GRAPHIMPL $CURRIMPL"
+ fi
+done
+if [ -n "$CLASSPATH_GRAPHIMPL" ]; then
+ cp $CLASSPATH_GRAPHIMPL/* $AJSC_HOME/extJars/
+else
+ echo "Configured graph implementation '$GRAPHIMPL' is not supported. Acceptable implementations are one of: $SUPPORTED_GRAPHIMPL"
+ exit 1
+fi
+
PROPS="-DAJSC_HOME=$AJSC_HOME"
PROPS="$PROPS -DAJSC_CONF_HOME=$BASEDIR/bundleconfig/"
PROPS="$PROPS -Dlogback.configurationFile=$BASEDIR/bundleconfig/etc/logback.xml"